/*******************************************************************************
 * # License
 * <b>Copyright 2021 Silicon Laboratories Inc. www.silabs.com</b>
 *******************************************************************************
 *
 * The licensor of this software is Silicon Laboratories Inc. Your use of this
 * software is governed by the terms of Silicon Labs Master Software License
 * Agreement (MSLA) available at
 * www.silabs.com/about-us/legal/master-software-license-agreement. This
 * software is distributed to you in Source Code format and is governed by the
 * sections of the MSLA applicable to Source Code.
 *
 ******************************************************************************/

/* This file lists all the headers for the application tokens in UC environment:
 * tokens used by plugins, ZCL cluster tokens and (optionally) user-defined custom
 * tokens.
 * This file is included in token-stack.h
 */

/* Token header for the token.properties. */
#include "app/framework/include/af-types.h"

/*
 * Plugin Tokens Section
 * Header file is generated by UC based on component (plugin) selection
 */
#include "zigbee_af_token_headers.h"

/*
 * ZCL Cluster Tokens Section
 * Token header for clusters (generated by ZAP)
 */
#include "zap-tokens.h"

/*
 * Custom Tokens Section
 */
/* Optional header for customer-defined application tokens.
 * To include custom token header add the following to the project's SLCP file:
 *
 * define:
 *    - name: "CUSTOM_TOKEN_HEADER"
 *      value: "example_custom_tokens.h"
 */
#ifdef CUSTOM_TOKEN_HEADER
#include CUSTOM_TOKEN_HEADER
#endif

/* Optional header for customer-defined manufacturing tokens.
 * To include custom token header add the following to the project's SLCP file:
 *
 * define:
 *    - name: "CUSTOM_MFG_TOKEN_HEADER"
 *      value: "example_custom_mfg_tokens.h"
 */
#ifdef CUSTOM_MFG_TOKEN_HEADER
#include CUSTOM_MFG_TOKEN_HEADER
#endif
